/* ! This project doesn't have a web responsive desing yet */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


/* header */
.logo-box{ 
    padding: 1%;
}
.logo{
    height: 40px;
}

nav{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2%;
}
 

.links a{
    text-decoration: none;
    margin: 0 10px;
    color: black;
}


/* header ends */


section{
    display: none;
}


 h1 {
    display: flex;
    justify-content: center;
}
  
  main{
    padding: 1%;
    height: 90vh;
  }



/* recipes section */

  .recipes-section{
    margin-top: 5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
} 

.recipes-section input{
    width: 50%;
    padding: 1%;
    border-radius: 6px 6px 6px 6px;
    border-style: solid;
    margin-bottom: 1%;
    font-size: 25px;
}

.recipes-section button{
    width:20%;
    padding: 1%;
}

.plate{
    width: 100%;
    display: none;
}

.card{
    display: flex;
    border: 2px solid black;
    margin: 1% 0;
}

.plate .card img{
    max-width: 100%;
    padding: 1px;
    border-right: 2px solid black;
    margin-right: 1%;
}
/* .content{
    width: 100%;
} */

.name{
    margin-bottom: 1%
}

.sub-title{
  color: grey;
}


/* recipes section ends */



/* ideas sections */
.ideas-section{
    display: none;
    flex-direction: column;
}

.container{ 
    display: flex;
    justify-content: space-evenly;
    margin: 2% 0;
    padding: 1%;
   
}

.card-ideas{
    margin-left: 1%;
    width: 100% ;
    border: 1px solid #ddd;
}
.card-ideas img {
    max-width: 100%; /* Make sure images don't exceed the width of the container */
    height: auto;
    display: block;
    
  }
/* ideas sections ends */

@media screen and (max-width: 660PX ) {

    .card{
        flex-direction: column;
        border-bottom: 2px solid black; 
        
    }

    .plate .card img{
       border-right: none;
       margin-right: 0;
        border-bottom: 2px solid black;
        margin-bottom: 1%;
    }


    .container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 20px; /* Adjust the gap according to your preference */
      }
      
      .card-ideas {
        width: 100%;
        border: 1px solid #ddd; /* Add any desired styling for the card */
        padding: 10px;
      }
      
     
}